package com.miaxis.question.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.QuestionInfoDTO;
import com.miaxis.question.dto.QuestionInfoFlDTO;
import com.miaxis.question.dto.QuestionInfoSortDTO;
import com.miaxis.question.dto.QuestionInfoSortUpateDTO;
import com.miaxis.question.vo.*;

import java.util.List;

/**
 * 题库Mapper接口
 *
 * @author miaxis
 * @date 2021-10-20
 */
public interface QuestionInfoMapper extends BaseMapper<QuestionInfo> {
    /**
     * 查询题库列表
     *
     * @param questionInfo 题库
     * @return 题库集合
     */
    List<QuestionInfo> selectQuestionInfoList(QuestionInfoDTO questionInfoDTO);

    List<QuestionInfo> selectQuestionInfoListIds(Long[] ids);

    List<QuestionInfoJxVO> selectJxQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoSxVO> selectSxQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoDfVO> selectDfQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoFlVO> selectFlQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfo> selectNormalQuestionInfoList(QuestionInfoDTO questionInfoDTO);

    List<QuestionInfoExcelTypeVo> selectIssueType1();

    List<QuestionInfoExcelVo> selecQuestionInfoExcel1(String issueType);

    List<QuestionInfoExcelTypeVo> selectIssueType2();

    List<QuestionInfoExcelVo> selecQuestionInfoExcel2(String issueType);

    List<QuestionInfoExcelTypeVo> selectIssueType3();

    List<QuestionInfoExcelVo> selecQuestionInfoExcel3(String issueType);

    List<QuestionInfoExcelTypeVo> selectIssueType4();

    List<QuestionInfoExcelVo> selecQuestionInfoExcel4(String issueType);

    List<QuestionInfoExcelVo> selectQuestionInfoSortList(QuestionInfoSortDTO questionInfoSortDTO);

    void updateSortById(QuestionInfoSortUpateDTO dto);
}
